Subject: Re: odd RTL8139 quirk.

From: Jeff Garzik <[email-masked]>
Date: Tue, 29 Apr 2008 15:37:41 -0400

Dave Jones wrote:
> I've just been playing with a model 2 OQO, which has an RTL8139.
> It gets detected just fine, though it doesn't actually work..
> 
> eth0: RealTek RTL8139 at 0xf8830000, 00:00:00:00:00:00, IRQ 18
> eth0:  Identified 8139 chip type 'RTL-8139'
> 
> The null MAC address being one clue.  Another oddity is that
> ethtool reports that there's no link detected, even though there is.
> (Enough for it to PXE boot a kernel from at least :)
> 
> Futzing with the debug= modparam didn't yield anything extra at all.
> 
> Any clues?

Sounds like a broken EEPROM.  Does supplying a MAC via ifconfig prior to 
'ifconfig ... up' help?

	Jeff